BasicHash Class Reference

## Public Member Functions

| BasicHash (int startsize=32)
void | Grow ()
void | Shrink ()
void | SetSize (int newsize)
void | Clear ()
int | Capacity () const
int | Entries () const
void * | Object (int i) const
void | SetObject (int i, void *object)
int | Add (int key, void *object=NULL)
int | Find (int key)
int | Rehash (int key, int h)
BasicHash & | operator= (const BasicHash &rhs)
void * | operator[] (int i) const
void | Delete (unsigned int index)
bool | SlotInUse (int index)

## Protected Attributes

void ** | objects
unsigned int * | keys
unsigned int | count
unsigned int | size
unsigned int | mask

## Detailed Description

Definition at line 23 of file BasicHash.h.

The documentation for this class was generated from the following files:

- general/BasicHash.h
- general/BasicHash.cpp